.min-100 { min-width: 100px !important; display: inline-block;}
.drawer-content-wrapper *,
.drawer-content-wrapper :after,
.drawer-content-wrapper :before {
  box-sizing: border-box;
  border: 0 solid #e5e7eb;
}
.drawer-content-wrapper :after,
.drawer-content-wrapper :before {
  --tw-content: "";
}
.drawer-content-wrapper h2 {
  font-size: 18px !important;
  font-weight: 600 !important;
}
.drawer-content-wrapper a {
  color: inherit;
  text-decoration: inherit;
}
.js-drawer { background-color: transparent !important; width: 420px !important; max-width: 90% !important;}
button {
  font-family: inherit;
  font-size: 100%;
  line-height: inherit;
  color: inherit;
  margin: 0;
  padding: 0;
}
button {
  text-transform: none;
}
button {
  -webkit-appearance: button;
  background-color: transparent;
  background-image: none;
}
:-moz-focusring {
  outline: auto;
}
h2,
p {
  margin: 0;
}
button {
  cursor: pointer;
}
:disabled {
  cursor: default;
}
.drawer-content-wrapper img,
.drawer-content-wrapper svg {
  display: block;
  vertical-align: middle;
}
.drawer-content-wrapper img {
  max-width: 100%;
  height: auto;
}

.relative {
  position: relative;
}
.m-0 {
  margin: 0;
}
.my-3 {
  margin-top: 12px !important;
  margin-bottom: 12px !important;
}
.mx-5 {
  margin-left: 20px !important;
  margin-right: 20px !important;
}
.mb-1 {
  margin-bottom: 4px !important;
}
.mr-2 {
  margin-right: 8px !important;
}
.ml-1 {
  margin-left: 4px !important;
}
.mr-4 {
  margin-right: 16px !important;
}
.flex {
  display: flex;
}
.inline-flex {
  display: inline-flex;
}
.h-full {
  height: 100%;
}
.h-auto {
  height: auto;
}
.h-8 {
  height: 32px !important;
}
.max-h-full {
  max-height: 100%;
}
.w-full {
  width: 100%;
}
.flex-shrink-0 {
  flex-shrink: 0;
}
.flex-grow {
  flex-grow: 1;
}
.cursor-pointer {
  cursor: pointer;
}
.flex-col {
  flex-direction: column;
}
.flex-wrap {
  flex-wrap: wrap;
}
.items-center {
  align-items: center;
}
.justify-start {
  justify-content: flex-start;
}
.justify-center {
  justify-content: center;
}
.justify-between {
  justify-content: space-between;
}
.justify-evenly {
  justify-content: space-evenly;
}
.overflow-hidden {
  overflow: hidden;
}
.overflow-y-scroll {
  overflow-y: scroll;
}
.truncate {
  overflow: hidden;
  text-overflow: ellipsis;
}
.truncate {
  white-space: nowrap;
}
.rounded-md {
  border-radius: 6px !important;
}
.rounded-lg {
  border-radius: 4px !important;
}
.rounded {
  border-radius: 4px !important;
}
.rounded-full {
  border-radius: 9999px;
}
.border {
  border-width: 1px;
}
.border-b {
  border-bottom-width: 1px;
}
.border-gray-100 {
  --tw-border-opacity: 1;
  border-color: rgb(243 244 246 / var(--tw-border-opacity));
}
.bg-emerald-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(16, 185, 129);
  background-color: #DF1F26;
  border:1px solid #DF1F26;
}
.bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}
.bg-indigo-50 {
  --tw-bg-opacity: 1;
  background-color: rgb(238 242 255 / var(--tw-bg-opacity));
}
.p-2 {
  padding: 8px !important;
}
.p-1 {
  padding: 4px !important;
}
.px-5 {
  padding-left: 20px !important;
  padding-right: 20px !important;
}
.py-3 {
  padding-top: 12px !important;
  padding-bottom: 12px !important;
}
.px-4 {
  padding-left: 16px !important;
  padding-right: 16px !important;
}
.px-3 {
  padding-left: 12px !important;
  padding-right: 12px !important;
}
.py-4 {
  padding-top: 16px !important;
  padding-bottom: 16px !important;
}
.py-2 {
  padding-top: 8px !important;
  padding-bottom: 8px !important;
}
.px-1 {
  padding-left: 4px !important;
  padding-right: 4px !important;
}
.align-middle {
  vertical-align: middle;
}
.font-serif {
  font-family: Inter, sans-serif;
}
.text-base {
  font-size: 16px !important;
  line-height: 24px !important;
}
.text-left { text-align: left;}
.text-sm {
  font-size: 14px;
  line-height: 20px !important;
}
.text-xl {
  font-size: 20px !important;
  line-height: 28px !important;
}
.text-lg {
  font-size: 18px !important;
  line-height: 28px !important;
}
.text-xs {
  font-size: 12px !important;
  line-height: 16px !important;
}
.font-bold {
  font-weight: 700;
}
.font-semibold {
  font-weight: 600;
}
.font-medium {
  font-weight: 500;
}
.leading-5 {
  line-height: 20px !important;
}
.text-gray-600 {
  --tw-text-opacity: 1;
  color: rgb(75 85 99 / var(--tw-text-opacity));
}
.text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}
.text-gray-700 {
  --tw-text-opacity: 1;
  color: rgb(55 65 81 / var(--tw-text-opacity));
}
.text-red-400 {
  --tw-text-opacity: 1;
  color: rgb(248 113 113 / var(--tw-text-opacity));
}
.text-gray-500 {
  --tw-text-opacity: 1;
  color: rgb(107 114 128 / var(--tw-text-opacity));
}
.text-emerald-600 {
  --tw-text-opacity: 1;
  color: rgb(5 150 105 / var(--tw-text-opacity));
  color:#333;
}
.text-gray-400 {
  --tw-text-opacity: 1;
  color: rgb(156 163 175 / var(--tw-text-opacity));
}
.shadow-sm {
  --tw-shadow: 0 1px 2px 0 rgb(0 0 0/0.05);
  --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
}
.shadow-sm {
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
    var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.transition {
  transition-property: color, background-color, border-color, fill, stroke,
    opacity, box-shadow, transform, filter, -webkit-text-decoration-color,
    -webkit-backdrop-filter;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter, -webkit-text-decoration-color, -webkit-backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 0.15s;
}
.transition-all {
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 0.15s;
}
.transition-opacity {
  transition-property: opacity;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 0.15s;
}
.duration-300 {
  transition-duration: 0.3s;
}
.scrollbar-hide {
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.scrollbar-hide::-webkit-scrollbar {
  display: none;
}
.line-clamp-1 {
  -webkit-line-clamp: 1;
}
.line-clamp-1 {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}
.drawer .drawer-content-wrapper {
  width: 100%;
}
@media (min-width: 480px) {
  .drawer .drawer-content-wrapper {
    width: 420px;
  }
}
.drawer > * {
  transition: transform 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86),
    opacity 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86),
    box-shadow 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86);
}
.drawer-content-wrapper {
  position: absolute;
  background: #fff;
}
.drawer-content {
  overflow: auto;
  z-index: 1;
  position: relative;
}
.drawer-handle {
  position: absolute;
  top: 72px;
  width: 41px;
  height: 40px;
  cursor: pointer;
  z-index: 0;
  text-align: center;
  line-height: 40px;
  font-size: 16px;
  display: none;
  justify-content: center;
  align-items: center;
  background: #fff;
}
.drawer-handle-icon {
  width: 14px;
  height: 2px;
  background: #333;
  position: relative;
  transition: background 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86);
}
.drawer-handle-icon:after,
.drawer-handle-icon:before {
  content: "";
  display: block;
  position: absolute;
  background: #333;
  width: 100%;
  height: 2px;
  transition: transform 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86);
}
.drawer-handle-icon:before {
  top: -5px;
}
.drawer-handle-icon:after {
  top: 5px;
}
.drawer-right .drawer-content,
.drawer-right .drawer-content-wrapper {
  height: 100%;
}
.drawer-right .drawer-content-wrapper {
  right: 0;
}
.drawer-right .drawer-handle {
  left: -40px;
  border-radius: 4px 0 0 4px;
}
.drawer-content-wrapper .drawer-content {
  box-shadow: -2px 0 8px rgba(0, 0, 0, 0.15);
}
.drawer.drawer-open .drawer-handle-icon {
  background: transparent;
}
.drawer.drawer-open .drawer-handle-icon:before {
  transform: translateY(5px) rotate(45deg);
}
.drawer.drawer-open .drawer-handle-icon:after {
  transform: translateY(-5px) rotate(-45deg);
}
.last\:border-b-0:last-child {
  border-bottom-width: 0;
}
.hover\:bg-emerald-600:hover {
  --tw-bg-opacity: 1;
  background-color: #fff;
  color: #DF1F26;
}
.hover\:bg-gray-50:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(249 250 251 / var(--tw-bg-opacity));
}
.hover\:text-red-400:hover {
  --tw-text-opacity: 1;
  color: rgb(248 113 113 / var(--tw-text-opacity));
}
.hover\:text-red-600:hover {
  --tw-text-opacity: 1;
  color: rgb(220 38 38 / var(--tw-text-opacity));
}
.focus\:outline-none:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
  
}

@media (max-width: 768px) {
  .js-drawer.drawer { height: 90% !important;}
}

@media (min-width: 640px) {
  .sm\:text-base {
    font-size: 16px !important;
    line-height: 24px !important;
  }
}
@media (min-width: 768px) {
  .md\:w-24 {
    width: 96px !important;
  }
  .md\:text-base {
    font-size: 16px !important;
    line-height: 24px !important;
  }
}
@media (min-width: 1024px) {
  .lg\:w-24 {
    width: 96px !important;
  }
}

-------------------------------- */ :root {
  --drawer-width: 400px;
}

.drawer {
  position: fixed;
  z-index: 100000 !important;
  height: 100%;
  width: 100%;
  max-width: var(--drawer-width);
  top: 0;
  right: 0;
  visibility: hidden;
  transition: visibility 0s 0.3s;
}
.drawer:focus {
  outline: none;
}

.drawer--is-visible {
  visibility: visible;
  transition: none;
}

.drawer--open-left {
  right: auto;
  left: 0;
}

.drawer__content {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  right: 0;
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  transition: -webkit-transform 0.3s;
  transition: transform 0.3s;
  transition: transform 0.3s, -webkit-transform 0.3s;
  transition-timing-function: var(--ease-in-out);
}
.drawer--open-left .drawer__content {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}
.drawer--is-visible .drawer__content {
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.drawer__body {
  height: 100%;
  overflow: auto;
  -ms-scroll-chaining: none;
  overscroll-behavior: contain;
  -webkit-overflow-scrolling: touch;
}

.drawer__close-btn {
  --size: 32px;
  width: var(--size);
  height: var(--size);
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: hsla(
    var(--color-bg-light-h),
    var(--color-bg-light-s),
    var(--color-bg-light-l),
    0.95
  );
  box-shadow: var(--inner-glow), var(--shadow-sm);
  transition: 0.2s;
}
.drawer__close-btn:hover {
  background-color: var(--color-bg-lighter);
  box-shadow: var(--inner-glow), var(--shadow-md);
}
.drawer__close-btn .icon {
  display: block;
  color: var(--color-contrast-high);
}

.drawer--modal {
  max-width: none;
  background-color: hsla(
    var(--color-black-h),
    var(--color-black-s),
    var(--color-black-l),
    0
  );
  transition: background-color 0.3s, visibility 0s 0.3s;
}
.drawer--modal.drawer--is-visible {
  background-color: hsla(
    var(--color-black-h),
    var(--color-black-s),
    var(--color-black-l),
    0.75
  );
  transition: background-color 0.3s;
}
.drawer--modal.drawer--open-left .drawer__content {
  right: auto;
  left: 0;
}
.drawer--modal .drawer__content {
  max-width: var(--drawer-width);
}

.ml-auto{margin-left:auto;}
.text-gray-800{--tw-text-opacity:1;color:rgb(31 41 55/var(--tw-text-opacity));}
.border-t{border-top-width:1px; border-style: dashed;}

.mt-4{margin-top:16px;}
.mb-4{margin-bottom:16px;}

.empty-cart { width:80%; margin:auto; }
#sepet-sub-info { font-size:14px; padding: 10px; font-weight: 600; line-height: 20px; color:rgb(107 114 128) !important;}
#sepet-sub-info .sepet2 { display: none;}
#sepet-sub-info .sepet3 { float: right; color:rgb(251 146 60) !important;}
#sepet-sub-info .sepet3.blue { background-color: #fff !important;}
#sepet-sub-info .kdv,#sepet-sub-info .tutar,#sepet-sub-info .totax { display: none;}
#sepet-sub-info li,#sepet-sub-info ul { min-height: auto !important; height: auto !important; padding: 0;}
#sepet-sub-info li { padding-top: 5px; }

.hizli-button-sepet { width:49%; float:left; background-color: #f7f7f7; color:#555 ; border:none; font-size:14px !important;}
.hizli-button-siparis { width:49%; float:right; background-color: #67b500; color:#fff; border:none; font-size:14px !important; }
